!
! verified using Compaq Visual Fortran Optimizing Compiler Version 6.6A
!
real(4), allocatable:: peak(:), acc(:,:)
character(10), allocatable:: comp(:)
integer(4):: nfrq, nstp, nch, ich, istp, i
integer(4):: iostat
real(4):: dt, offset, calib
character(10):: date, time, code
character(128):: site, fname
!
    fname='sample.ac'
    open (88, file=fname, iostat=iostat)
! read file header.
    read (88, '(a10,1x,a8,2i4,i6,a128)') date, time, nch, nfrq, nstp, site
! allocate arrays.
    allocate (comp(nch), peak(nch), acc(nstp,nch))
! read header and acceleration of each channel.
    do ich=1, nch
        read (88, '(a10,f10.3)') comp(ich), peak(ich)
        read (88, '(8f10.3)') (acc(i,ich), i=1,nstp)
    end do
! close a file.
    close (88)
! get some parameters
    dt=1/real(nfrq)
	i=index(site, ':')
	if (i.gt.0) then
		code=site(1:i-1)
		site=site(i+1:)
	else
		code=''
	endif
! output parameters.
    print '(''Acceleration filename: '',a)', trim(fname)
    print '(''             Sitecode: '',a)', trim(code)
    print '(''             Sitename: '',a)', trim(site)
    print '(''Trigger time and date:'',a8,1x,a10)', time, date
    print '(''   Number of channels:'',i6)', nch
    print '(''   Sampling frequency:'',i6,''Hz'')', nfrq
    print '(''       (Time interval:'',f6.3,''sec)'')', dt
    print '(''      Number of steps:'',i6)', nstp
    do ich=1, nch
        print '(''ch:'',i2,'' ('',a,'') peak:'',f8.2)', &
            ich, trim(comp(ich)), peak(ich)
    end do
! release arrays.
    deallocate (peak, comp, acc)
    stop
end
